#ifndef SCREENSHOTDATA_H
#define SCREENSHOTDATA_H

#include "UniversalGraphicsSettings.h"
#include <string>
#include <qstring.h>
#include <qdir.h>
#include <fstream>

class GraphicsBase;

class ScreenshotData{

   public:
      ScreenshotData();
      ~ScreenshotData();
      UniversalGraphicsSettings univGraphSet;
      GraphicsBase *graphicsPtr;
      //QImage & getImage(){};
      void setCoreName(const std::string  & _name );
      void activate(const QString & _simulationRootDir);
      void outputScreenshot(unsigned int screenshotCounter);
      void (GraphicsBase::*drawFcnPtr)(void);
      void setScreenshotIdName(const QString &);

   private:
      ScreenshotData(const ScreenshotData &); /// forbid copying - avoid problems with pointer swapping etc.
      std::string coreName;
      QString fullInventoryFileName;
      QString thisDirectoryName;
      QString simulationRootDir;
      QDir dir;
      std::ofstream *inventoryFilePtr;
      QString screenshotIdName;
      
};



#endif
